# DataExchange
TKIGES
IGESSelect

# IGESSelect_SelectName Class Reference

Selects Entities which have a given name.
Consider Property Name if present, else Short Label, but
not the Subscript Number
First version : keeps exact name
Later : regular expression
.

`#include <IGESSelect_SelectName.hxx>`

Inheritance diagram for IGESSelect_SelectName:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_SelectName ()
| Creates an empty SelectName : every entity is considered good (no filter active) .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns True if Name of Entity complies with Name Filter .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&name)
| Sets a Name as a criterium : IGES Entities which have this name are kept (without regular expression, there should be at most one). <name> can be regarded as a Text Parameter .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns the Name used as Filter .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns the Selection criterium : "IGES Entity, Name : <name>" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thename

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SelectName::IGESSelect_SelectName | ( |  | ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString IGESSelect_SelectName::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT const IGESSelect_SelectName::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract.

Standard_EXPORT Handle_TCollection_HAsciiString IGESSelect_SelectName::Name | ( |  | ) | const

Standard_EXPORT void IGESSelect_SelectName::SetName | ( | const Handle(TCollection_HAsciiString)& | name | ) |

Standard_EXPORT Standard_Boolean IGESSelect_SelectName::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

## Field Documentation

Handle_TCollection_HAsciiString IGESSelect_SelectName::thename `[private]`

The documentation for this class was generated from the following file:

- IGESSelect_SelectName.hxx